> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conduit.financial/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer account

> Get account details for a customer



## OpenAPI

````yaml https://api.conduit.financial/api-docs/2024-12-01/openapi-external.yaml?mode=dynamic get /customers/{id}/account
openapi: 3.0.2
info:
  version: '2024-12-01'
  title: Conduit API
  description: The Conduit Financial API
  contact:
    name: Conduit Support
    email: conduit@conduit.fi
servers:
  - url: https://api.conduit.financial
    description: The Conduit API live environment
  - url: https://api.sandbox.conduit.financial
    description: The Conduit API Sandbox environment
security: []
tags:
  - name: Accounts
    description: |
      Endpoints dealing with accounts.
  - name: Counterparties
    description: |
      Endpoints dealing with counterparties information. 
  - name: Quotes
    description: |
      Endpoints dealing with quotes.
  - name: Transactions
    description: |
      Endpoints dealing with transactions.
  - name: Documents
    description: |
      Endpoints dealing with documents.
  - name: Customers
    description: |
      Endpoints dealing with customer information. 
paths:
  /customers/{id}/account:
    get:
      tags:
        - Customers
        - Accounts
      summary: Get customer account
      description: Get account details for a customer
      operationId: getCustomerAccount
      parameters:
        - schema:
            $ref: '#/components/schemas/CustomerId'
          required: true
          description: A valid Customer ID
          name: id
          in: path
      responses:
        '200':
          description: The customer account details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCustomerAccountsResponse'
        '400':
          description: Input validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponse'
        '404':
          description: Not Found error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorResponse'
        '415':
          description: Unsupported media type error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnsupportedMediaTypeErrorResponse'
        '429':
          description: Throttling error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponse'
        '500':
          description: Internal Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - apiKey: []
          apiSecret: []
components:
  schemas:
    CustomerId:
      type: string
      pattern: ^cus_[a-zA-Z0-9]{27}$
      description: A valid Customer ID
      example: cus_2ofTA13AD0xBtbEvBl20aEb1hEu
    ListCustomerAccountsResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/AccountId'
        businessLegalName:
          type: string
        balances:
          type: object
          properties:
            available:
              type: array
              items:
                $ref: '#/components/schemas/AssetAmount'
          required:
            - available
      required:
        - id
        - businessLegalName
    BadRequestErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    ForbiddenErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    NotFoundErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    UnsupportedMediaTypeErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    TooManyRequestsErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    InternalServerErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    AccountId:
      type: string
      pattern: ^acct_[a-zA-Z0-9]{27}$
      description: A valid Account ID
      example: acct_2ofTA5mz0T91pBmD3tMTeLE7T4X
    AssetAmount:
      type: object
      properties:
        asset:
          $ref: '#/components/schemas/AssetCode'
        network:
          $ref: '#/components/schemas/NetworkName'
        amount:
          $ref: '#/components/schemas/NonNegativeInteger'
        country:
          type: string
      required:
        - asset
        - amount
      additionalProperties: false
    AssetCode:
      type: string
      enum:
        - USD
        - MXN
        - BRL
        - COP
        - EUR
        - NGN
        - ARS
        - GBP
        - AED
        - SGD
        - HKD
        - USDT
        - USDC
        - RLUSD
      description: >-
        The asset identifier. Either an ISO-4217 currency code or a stablecoin
        token.
    NetworkName:
      type: string
      enum:
        - ethereum
        - tron
        - solana
        - polygon
        - base
        - xrpl
      description: >-
        The stablecoin asset network identifier. Required for stablecoins;
        omitted for fiat.
    NonNegativeInteger:
      type: string
      pattern: ^[0-9]*$
      description: A non-negative integer amount
      example: '0'
  securitySchemes:
    apiKey:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    apiSecret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````